## yaggo 1.5.4

=== Makefile ===
DEST=.

all:
	ruby bin/create_yaggo_one_file $(DEST)/yaggo

=== test/Makefile ===
CC = g++
CPPFLAGS = -I. -Wall -Werror
CXXFLAGS = -O2
YAGGO = ../bin/yaggo
RY = ruby -I../lib $(YAGGO)

all: count

count: count.o
count_cmdline.hpp _count: count.yaggo $(YAGGO)
	$(RY) --debug --zc _count $<
count.o: count.cpp count_cmdline.hpp

test_errno.hpp: test_errno.yaggo $(YAGGO)
	$(RY) --debug $<
test_errno: test_errno.o
test_errno.o: test_errno.cc test_errno.hpp

clean:
	rm -f *.o count

=== debian/changelog ===
yaggo (1.5.4-1) unstable; urgency=low

  * Initial release (Closes: #764211)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Oct 2014 12:13:09 +0200

=== debian/control ===
Source: yaggo
Section: misc
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9),
               ruby,
               help2man
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/yaggo/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/yaggo/trunk/
Homepage: https://github.com/gmarcais/yaggo

Package: yaggo
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Description: generate command line parser using getopt_long
 Yaggo is a tool to generate command line parsers for C++. Yaggo stands
 for "Yet Another GenGetOpt" and is inspired by GNU Gengetopt.
 .
 It reads a configuration file describing the switches and argument for
 a C++ program and it generates one header file that parses the command
 line using getopt_long(3).

=== debian/rules ===
#!/usr/bin/make -f

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
HELP2MAN = help2man --no-info --version-string="$(version)"

%:
	dh $@

override_dh_installman:
	mkdir -p $(mandir)
	$(HELP2MAN) \
		--name='generate command line parser using getopt_long' \
		$(CURDIR)/$(pkg) > $(mandir)/$(pkg).1

=== debian/watch ===
version=3
https://github.com/gmarcais/yaggo/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## yaggo 1.5.9

=== Makefile ===
prefix ?= /usr/local

all: bin/create_yaggo_one_file
	ruby bin/create_yaggo_one_file ./yaggo

install: all
	mkdir -p $(prefix)/bin
	mkdir -p $(prefix)/share/doc/yaggo
	mkdir -p $(prefix)/share/man/man1
	cp ./yaggo $(prefix)/bin
	cp ./README.md $(prefix)/share/doc/yaggo
	./yaggo -m $(prefix)/share/man/man1/yaggo.1

=== debian/changelog ===
yaggo (1.5.9-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * cme fix dpkg-control
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 17:26:36 +0100

=== debian/control ===
Source: yaggo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10),
               ruby,
               help2man
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/yaggo/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/yaggo/trunk/
Homepage: https://github.com/gmarcais/yaggo

Package: yaggo
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ruby | ruby-interpreter
Description: generate command line parser using getopt_long
 Yaggo is a tool to generate command line parsers for C++. Yaggo stands
 for "Yet Another GenGetOpt" and is inspired by GNU Gengetopt.
 .
 It reads a configuration file describing the switches and argument for
 a C++ program and it generates one header file that parses the command
 line using getopt_long(3).

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 %:
 	dh $@
 
+override_dh_auto_install:
+	dh_auto_install -- prefix=$(CURDIR)/debian/$(pkg)/usr
+
 override_dh_installman:
 	mkdir -p $(mandir)
 	$(HELP2MAN) \

## yaggo 1.5.10

=== Makefile ===
prefix ?= /usr/local

all: bin/create_yaggo_one_file
	ruby bin/create_yaggo_one_file ./yaggo

install: all
	mkdir -p $(DESTDIR)$(prefix)/bin
	mkdir -p $(DESTDIR)$(prefix)/share/doc/yaggo
	mkdir -p $(DESTDIR)$(prefix)/share/man/man1
	cp ./yaggo $(DESTDIR)$(prefix)/bin
	cp ./README.md $(DESTDIR)$(prefix)/share/doc/yaggo
	./yaggo -m $(DESTDIR)$(prefix)/share/man/man1/yaggo.1

=== test/Makefile ===
CC = g++
CPPFLAGS = -I. -Wall -Werror
CXXFLAGS = -O2
YAGGO = ../bin/yaggo
RY = ruby -I../lib $(YAGGO)

all: count

count: count.o
count_cmdline.hpp _count: count_cmdline.yaggo $(YAGGO)
	$(RY) --debug --zc _count $<
count.o: count.cpp count_cmdline.hpp

# test_errno.hpp: test_errno.yaggo $(YAGGO)
# 	$(RY) --debug $<
# test_errno: test_errno.o
# test_errno.o: test_errno.cc test_errno.hpp

clean:
	rm -f *.o count *_cmdline.hpp

=== debian/changelog ===
yaggo (1.5.10-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 09 Jan 2019 12:43:55 +0100

yaggo (1.5.10-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Fix install
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 05 Oct 2017 22:03:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                ruby,
                help2man
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/yaggo/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/yaggo/trunk/
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/yaggo
+Vcs-Git: https://salsa.debian.org/med-team/yaggo.git
 Homepage: https://github.com/gmarcais/yaggo
 
 Package: yaggo

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/
HELP2MAN = help2man --no-info --version-string="$(DEB_VERSION_UPSTREAM)"

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR="" prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr

override_dh_installman:
	mkdir -p $(mandir)
	$(HELP2MAN) \
		--name='generate command line parser using getopt_long' \
		$(CURDIR)/$(DEB_SOURCE) > $(mandir)/$(DEB_SOURCE).1

=== debian/watch ===
version=4
https://github.com/gmarcais/yaggo/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## yaggo 1.5.11

=== debian/changelog ===
yaggo (1.5.11-2) unstable; urgency=medium

  * Team upload.
  * Apply multi-arch hint and mark the ruby dependency as ":any".

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 11 Dec 2024 13:11:45 +0100

yaggo (1.5.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: Remove XS-Ruby-Versions and versioning on gem2deb

 -- Lance Lin <lq27267@gmail.com>  Fri, 03 Nov 2023 19:14:40 +0700

yaggo (1.5.10-6) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2022 21:36:43 +0100

yaggo (1.5.10-5) unstable; urgency=medium

  * d/p/hardening-tests.patch: Propagate hardening flags
    in the test makefile to get blhc passing

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Sep 2021 00:31:53 +0530

yaggo (1.5.10-4) unstable; urgency=medium

  * Add autopkgtests
  * Do not generate pages at build time, add maintainer manual page
  * d/p/add-gemspec.patch: Add gemspec file
  * d/rules
    - Use buildsystem=ruby, switch to ruby-style packaging
    - Make create_yaggo_one_file executable
    - Enable build-time tests, respecting nocheck build profile
    - Fix permissions of create_yaggo_one_file
  * d/control
    - Add myself to uploaders
    - Add fields XS-Ruby-Versions, XB-Ruby-Versions, Testsuite
    - Drop Depends on "ruby:any | ruby-interpreter", use ${ruby:Depends}
      instead which does the right thing
  * Drop d/install, let ruby buildsystem handle it

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Sep 2021 19:49:28 +0530

yaggo (1.5.10-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + yaggo: Add :any qualifier for ruby dependency.

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 11:49:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               ruby,
-               help2man
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13),
+               gem2deb,
+               ruby:any
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/yaggo
 Vcs-Git: https://salsa.debian.org/med-team/yaggo.git
 Homepage: https://github.com/gmarcais/yaggo
+Testsuite: autopkgtest-pkg-ruby
+Rules-Requires-Root: no
 
 Package: yaggo
 Architecture: all
+XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends},
+         ${ruby:Depends}:any,
          ${misc:Depends},
-         ruby | ruby-interpreter
 Description: generate command line parser using getopt_long
  Yaggo is a tool to generate command line parsers for C++. Yaggo stands
  for "Yet Another GenGetOpt" and is inspired by GNU Gengetopt.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd test && $(MAKE) && $(MAKE) clean && rm -f _count
endif

override_dh_fixperms:
	dh_fixperms
	find debian -name create_yaggo_one_file -exec chmod +x \{\} \;
